org.eclipse.jdt.apt.core.build

## Class AptBuilder

- java.lang.Object
- - org.eclipse.jdt.apt.core.build.AptBuilder

All Implemented Interfaces:
  IApplication

    public class AptBuilder
    extends Object
    implements IApplication

Commandline entry point for building a workspace using APT. Currently cleans and then builds the entire workspace.

Sample commandline invocation: %ECLIPSE_HOME%/eclipsec -nosplash -application org.eclipse.jdt.apt.core.aptBuild -data %WORKSPACE% This class should not be referenced programmatically by other Java code. This class exists only for the purpose of launching the AptBuilder from the command line. The fields and methods on this class are not API.

### Field Summary

### Fields inherited from interface org.eclipse.equinox.app.IApplication

`EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

### Constructor Summary

Constructors
Constructor and Description
`AptBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `start(IApplicationContext context)` Runs this runnable with the given application context and returns a result.
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AptBuilder

    public AptBuilder()

### Method Detail

#### start

    public Object start(IApplicationContext context)
                 throws Exception

Runs this runnable with the given application context and returns a result. The content of the args is unchecked and should conform to the expectations of the runnable being invoked. Typically this is a `String` array. Applications can return any object they like. If an `Integer` is returned it is treated as the program exit code if Eclipse is exiting.

Specified by:
  `start` in interface `IApplication`
Parameters:
  `context` - the given application context passed to the application
Returns:
  the return value of the application
Throws:
  `Exception` - if there is a problem running this runnable.
See Also:
  `IApplication.EXIT_OK`, `IApplication.EXIT_RESTART`, `IApplication.EXIT_RELAUNCH`

#### stop

    public void stop()

Specified by:
  `stop` in interface `IApplication`